package premium_store.controller.DTO;

import com.fasterxml.jackson.annotation.JsonProperty;
import premium_store.model.Tank;

public class SupportTankDTO {
    private long id;
    private String name;
    private Long nationId;
    private Long levelId;
    private int cost;

    public SupportTankDTO(){}

    public SupportTankDTO(Tank tank){
        this.id = tank.getId();
        this.nationId = tank.getNation().getId();
        this.levelId = tank.getLevel().getId();
        this.name = tank.getName();
        this.cost = tank.getCost();
    }

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    public Long getId(){
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName(){
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getNationId(){
        return nationId;
    }

    public void setNationId(Long nationId) {
        this.nationId = nationId;
    }

    public Long getLevelId(){
        return levelId;
    }

    public void setLevelId(Long levelId) {
        this.levelId = levelId;
    }

    public int getCost(){
        return cost;
    }

    public void setCost(int cost) {
        this.cost = cost;
    }
}
